using System;
using System.IO;
using System.Drawing;

namespace BoO.lib.obj.interfaces
{
    interface ICoord
    {
        Point coord { get; }
        Point vcoord { get; }
        Rectangle rec { get; }
        Rectangle vrec { get; }

        void update_coord(int x, int y);
        void update_coord(Point p);

        void update_vcoord(int x, int y);
        void update_vcoord(Point p);

        void sett_coord(int x, int y);
        void sett_coord(Point f);

        void sett_vcoord(int x, int y);
        void sett_vcoord(Point p);
    }
}
